﻿@model Tuple<HomeObjectView, List<PortalChartView>, bool>
@{
    ViewBag.Title = "Web Portal Home";
    Layout = "~/Views/Shared/_Layout_home.cshtml";

    <link href="~/content/fonts/7-stroke/7-stroke.css" rel="stylesheet" />
}

@Styles.Render("~/Content/ChartsCSS")
@Scripts.Render("~/bundles/ChartCreator")




<body class="sidebar-xs">
    <div class="page-container">
        <div class="page-content">


            <!-- /sidebar -->
            @Html.Partial("_Menu")


            <!-- /sidebar -->
            <div class="page-content-wrapper">
                <div class="col-lg-8 sidebar-secondary">
                    @if (Model.Item1.ListDirectAccessView != null)
                    {
                        if (Model.Item1.ListUserDirectAccessView.Where(c => c.IdTile != 0).ToList().Count > 0)
                        {
                            <div class="tiles">
                                @foreach (UserDirectAccessView mUserDirectAccessViewAux in Model.Item1.ListUserDirectAccessView.Where(c => c.IdTile != 0).OrderBy(c => c.VisualOrder))
                                {
                                    PortalTileView mTileViewAux = Model.Item1.ListTileView.Where(c => c.IdTile == mUserDirectAccessViewAux.IdTile).FirstOrDefault();
                                    if (!string.IsNullOrEmpty(mTileViewAux.QueryResult))
                                    {
                                        <div class="tile_simple">
                                            <div class="tile_title">
                                                <div class="tile_title_text">@mTileViewAux.TileName</div>
                                                <div class="tile_title_icon"></div>
                                            </div>
                                            <div class="tile_data">
                                                <div class="tile_data_list"></div>
                                                <div class="tile_data_number">@mTileViewAux.QueryResult</div>
                                            </div>
                                            <div class="tile_link"><a href="@(!string.IsNullOrEmpty(mTileViewAux.UrlPage) ? mTileViewAux.UrlPage : "#")">@mTileViewAux.TileName</a></div>
                                        </div>
                                    }
                                    if (!string.IsNullOrEmpty(mTileViewAux.HtmlText))
                                    {
                                        <div class="tile_complex">
                                            @Html.Raw(mTileViewAux.HtmlText)
                                        </div>
                                    }
                                }
                            </div>
                        }
                    }

                    @if (Model.Item1.ListDirectAccessView != null)
                    {
                        if (Model.Item1.ListDirectAccessView.Where(c => c.Area == (((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PLM").FirstOrDefault() != null ? ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PLM").FirstOrDefault().IdAreaKeys : -1) && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList().Count > 0)
                        {
                            <div href="PLM/Home" class="boton_home_1">
                                <div class="bloke_botones">
                                    @Shared.PLM
                                </div>
                                @{
                                    List<DirectAccessView> mDirectAccessViewList = Model.Item1.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PLM").FirstOrDefault().IdAreaKeys && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList();
                                    List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                    foreach (int mPageAux in mPages)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.Item1.ListPageView.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    <a href="@mDirectAccessViewAux.Url" class="ico_new_sales icon_bac1" data-toggle="tooltip" data-placement="top" title="" data-original-title="@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</a>
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            </div>
                        }
                    }

                    @if (Model.Item1.ListDirectAccessView != null)
                    {
                        if (Model.Item1.ListDirectAccessView.Where(c => c.Area == (((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SALES").FirstOrDefault() != null ? ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SALES").FirstOrDefault().IdAreaKeys : -1) && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList().Count > 0)
                        {
                            <div href="Sales/Home" class="boton_home_2">
                                <div class="bloke_botones">
                                    @Shared.Sales
                                </div>
                                @{
                                    List<DirectAccessView> mDirectAccessViewList = Model.Item1.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SALES").FirstOrDefault().IdAreaKeys && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList();
                                    List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                    foreach (int mPageAux in mPages)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.Item1.ListPageView.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    <a href="@mDirectAccessViewAux.Url" class="ico_new_sales icon_bac1" data-toggle="tooltip" data-placement="top" title="" data-original-title="@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</a>
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            </div>
                        }
                    }

                    @if (Model.Item1.ListDirectAccessView != null)
                    {
                        if (Model.Item1.ListDirectAccessView.Where(c => c.Area == (((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PURCHASE").FirstOrDefault() != null ? ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PURCHASE").FirstOrDefault().IdAreaKeys : -1) && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList().Count > 0)
                        {
                            <div href="Purchase/Home" class="boton_home_3">
                                <div class="bloke_botones">
                                    @Shared.Purchases
                                </div>
                                @{
                                    List<DirectAccessView> mDirectAccessViewList = Model.Item1.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PURCHASE").FirstOrDefault().IdAreaKeys && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList();
                                    List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                    foreach (int mPageAux in mPages)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.Item1.ListPageView.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    <a href="@mDirectAccessViewAux.Url" class="ico_new_sales icon_bac1" data-toggle="tooltip" data-placement="top" title="" data-original-title="@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</a>
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            </div>
                        }
                    }

                    @if (Model.Item1.ListDirectAccessView != null)
                    {
                        if (Model.Item1.ListDirectAccessView.Where(c => c.Area == (((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "MASTERDATA").FirstOrDefault() != null ? ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "MASTERDATA").FirstOrDefault().IdAreaKeys : -1) && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList().Count > 0)
                        {
                            <div href="MasterData/Home" class="boton_home_4">
                                <div class="bloke_botones">
                                    @Shared.MasterData
                                </div>
                                @{
                                    List<DirectAccessView> mDirectAccessViewList = Model.Item1.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "MASTERDATA").FirstOrDefault().IdAreaKeys && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList();
                                    List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                    foreach (int mPageAux in mPages)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.Item1.ListPageView.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    <a href="@mDirectAccessViewAux.Url" class="ico_new_sales icon_bac1" data-toggle="tooltip" data-placement="top" title="" data-original-title="@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</a>
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            </div>
                        }
                    }

                    @if (Model.Item1.ListDirectAccessView != null)
                    {
                        if (Model.Item1.ListDirectAccessView.Where(c => c.Area == (((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SERVICECALL").FirstOrDefault() != null ? ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SERVICECALL").FirstOrDefault().IdAreaKeys : -1) && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList().Count > 0)
                        {
                            <div href="ServiceCall/Home" class="boton_home_5">
                                <div class="bloke_botones">
                                    @Shared.ServiceCall
                                </div>
                                @{
                                    List<DirectAccessView> mDirectAccessViewList = Model.Item1.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SERVICECALL").FirstOrDefault().IdAreaKeys && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList();
                                    List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                    foreach (int mPageAux in mPages)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.Item1.ListPageView.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    <a href="@mDirectAccessViewAux.Url" class="ico_new_sales icon_bac1" data-toggle="tooltip" data-placement="top" title="" data-original-title="@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</a>
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            </div>
                        }
                    }

                    @if (Model.Item1.ListDirectAccessView != null)
                    {
                        if (Model.Item1.ListDirectAccessView.Where(c => c.Area == (((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "CRM").FirstOrDefault() != null ? ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "CRM").FirstOrDefault().IdAreaKeys : -1) && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList().Count > 0)
                        {
                            <div href="CRM/Home" class="boton_home_5">
                                <div class="bloke_botones">
                                    @Shared.CRM
                                </div>
                                @{
                                    List<DirectAccessView> mDirectAccessViewList = Model.Item1.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "CRM").FirstOrDefault().IdAreaKeys && Model.Item1.ListUserDirectAccessView.Select(j => j.IdDirectAccess).Contains(c.IdDirectAccess)).ToList();
                                    List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                    foreach (int mPageAux in mPages)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.Item1.ListPageView.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    <a href="@mDirectAccessViewAux.Url" class="ico_new_sales icon_bac1" data-toggle="tooltip" data-placement="top" title="" data-original-title="@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</a>
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            </div>
                        }
                    }

                    <!--PANEL NEWS-->
                    @if (Model.Item1.ListNews.Count > 0)
                    {

                        <div class="col-md-12 col-sm-12 no-padding">

                            @foreach (NewView item in Model.Item1.ListNews)
                            {
                                <div class="news_block_home icon_news">
                                    <div class="col-md-12">
                                        <div class="col-xs-9 col-md-9 col-lg-9 no-padding-left">
                                            <h4 class="news_block_title">@item.Head  </h4>
                                            <p class="news_block_text">@item.Description </p>
                                        </div>
                                        <div class="col-xs-3 no-padding-right">
                                            @if (!string.IsNullOrEmpty(item.Url))
                                            {
                                                <a href="@item.Url" target="_blank" class="btn btn-primary btn-xs pull-right">More</a>
                                            }
                                        </div>

                                    </div>
                                    <div class="col-lg-12 col-xs-12 no-padding">
                                        <a href="#"><img class="" src="/images/@item.ImageName"> </a>
                                    </div>
                                </div>
                            }

                        </div>

                    }

                    <!--PANEL CHARTS-->
                    @if (Model.Item2.Where(c => c.MenuChart == false).ToList().Count > 0)
                    {
                        <div class="col-md-12 col-sm-12 no-padding">

                            @{
                                <script>
                                    var mParamsArray = [];
                                </script>
                                foreach (PortalChartView mPortalChartView in Model.Item2.Where(c => c.MenuChart == false))
                                {
                                    <div class="news_block_home">
                                        <div class="col-md-12">
                                            <div class="news_block_title">
                                                @mPortalChartView.ChartName
                                                <i class="icon_sap icon_sap_39 open_full_report pull-right">
                                                </i>
                                            </div>
                                        </div>
                                        <div class="panel-body">
                                            <div id="ChartDrawPanel_@mPortalChartView.IdChart" style="width:100%; height:400px;"></div>
                                            <div id="ChartDrawPanelOverlay_@mPortalChartView.IdChart" class="overlay-loading" style="display:none"></div>
                                            <div id="ChartDrawPanelLoading_@mPortalChartView.IdChart" class="loading-img" style="display:none"></div>
                                            <div id="ChartDrawPanelParams_@mPortalChartView.IdChart" class="overlay-data" style="display:none">
                                                <h2 class="margin-bottom">
                                                    @Charts.EP
                                                </h2>
                                                @foreach (PortalChartParamView mParam in mPortalChartView.PortalChartParamList.Where(c => c.ParamValue == "EnteredByUser").ToList())
                                                {
                                                    var mIdParam = "ChartParamValue_" + mPortalChartView.IdChart + "_" + mParam.ParamName;
                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <label>@mParam.ParamNamePortal</label>
                                                            @Html.Hidden("ChartParamName_" + mPortalChartView.IdChart, mParam.ParamName, new { @Id = "ChartParamName_" + mPortalChartView.IdChart })
                                                        </div>
                                                        <div class="col-md-8">
                                                            
                                                            <input id="@mIdParam" class="form-control" placeholder="@mParam.ParamNamePortal" type="text" value="">
                                                        </div>
                                                    </div>
                                                }
                                                <a class="btn btn-lg btn-success" onclick="DrawChartWithParamsEnteredByUser(@mPortalChartView.IdChart)">@PurchaseOrders.View @Charts.CHT</a>
                                            </div> 
                                            <div class="panel-heading" style="margin-bottom:35px;">
                                                <button class="btn btn-sm pull-right btn-default print" type="submit"> <span class="glyphicon glyphicon-print "> </span>  Imprimir Reporte</button>
                                            </div>                                  
                                        </div>
                                        
                                        @if (mPortalChartView.PortalChartParamList.Where(c => c.ParamValue == "EnteredByUser").Count() > 0)
                                        {
                                            <button type="button" class="btn btn-success btn-ls reloadbut" onclick="ReloadChartParams(@mPortalChartView.IdChart)"><span class="glyphicon glyphicon-refresh"></span> @Charts.Refresh</button>
                                        }
                                    </div>
                                    <script>
                                        mParamsArray[@mPortalChartView.IdChart] = [];
                                        mParamsArray[@mPortalChartView.IdChart][0] = [];
                                        @foreach (PortalChartParamView mParam in mPortalChartView.PortalChartParamList.Where(c => c.ParamValue != "EnteredByUser").ToList())
                                        {
                                            <text>
                                                mParamsArray[@mPortalChartView.IdChart][0].push({
                                                    ParamName: "@mParam.ParamName",
                                                    ParamValue: "@mParam.ParamValue",
                                                    ParamFixedValue: "@mParam.ParamFixedValue"
                                                });
                                            </text>
                                        }
                                        @if (mPortalChartView.PortalChartParamList.Where(c => c.ParamValue == "EnteredByUser").Count() == 0)
                                        {
                                            <text>
                                                getDataAndDrawChart(@mPortalChartView.IdSAPQuery, "@mPortalChartView.IdChartType", "@(mPortalChartView.PortalChartColumns.Count > 0 ? mPortalChartView.PortalChartColumns[0].MappedFieldName : "")", "@(mPortalChartView.PortalChartColumns.Count > 0 ? mPortalChartView.PortalChartColumns[1].MappedFieldName : "")", "ChartDrawPanel_@mPortalChartView.IdChart", mParamsArray[@mPortalChartView.IdChart][0], 0);
                                            </text>
                                        }
                                        else
                                        {
                                            <text>
                                                mParamsArray[@mPortalChartView.IdChart][1] = @mPortalChartView.IdSAPQuery;
                                                mParamsArray[@mPortalChartView.IdChart][2] = "@mPortalChartView.IdChartType";
                                                mParamsArray[@mPortalChartView.IdChart][3] = "@(mPortalChartView.PortalChartColumns.Count > 0 ? mPortalChartView.PortalChartColumns[0].MappedFieldName : "")";
                                                mParamsArray[@mPortalChartView.IdChart][4] = "@(mPortalChartView.PortalChartColumns.Count > 0 ? mPortalChartView.PortalChartColumns[1].MappedFieldName : "")";
                                                $("#ChartDrawPanelParams_@mPortalChartView.IdChart").show();
                                            </text>
                                        }
                                    </script>
                                }
                            }
                        </div>
                    }
                    <div class="clear"></div>
                </div>

                <div class="col-lg-3 col-md-12 col-xs-12 pull-right">
                    <div class="col_lateral">
                        <div class="col_lateral_1">
                            <div class="col_lateral_1_title">@Shared.Messages / @Shared.Alerts</div>
                            <ul class="lista_alertas">
                                @if (Model.Item1.ListAlerts != null)
                                {
                                    foreach (AlertView item in Model.Item1.ListAlerts)
                                    {
                                        <li>
                                            <span class="lista_item1">@item.Subject</span>
                                            <span class="lista_item2">@item.RecDate.Value.ToShortDateString() - @item.UserName</span>
                                            <a onclick="ViewAlert(@item.AlertCode)" class="lista_item3">@Shared.View</a>
                                        </li>
                                    }
                                }
                            </ul>
                        </div>

                        <!--PANEL ACCESOS DIRECTOS-->
                        <a href="Scheduler" class="view_calendar">@Shared.Calendar</a>
                        <a href="http://asysportal.com/oneportal/" class="view_charts">Support</a>
                        <div class="@(Model.Item3 == true ? "connected_DIsever" : "disconnected_DIsever")">@(Model.Item3 == true ? Shared.DIServerConnected : Shared.DIServerDisconnected)</div>

                    </div>
                    <div class="clear"></div>
                </div>
                <div class="clear"></div>
            </div>



        </div>
    </div>
</body>

<script>    
    $('.open_full_report').click(function(){
        $('.open_full_report').parents('.col-md-12').find('.news_block_home').toggleClass('news_block_home_full');
        $(this).parents('.col-md-12').find('.last-block').toggleClass('col-md-8 col-md-9');
    });
</script>

<script>
$(function () {
    $('button[type="submit"]').click(function () {
        var pageTitle = 'Page Title',
            stylesheet = '//maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css',
            win = window.open('', 'Print', 'width=500,height=300');
        win.document.write('<html><head><title>' + pageTitle + '</title>' +
            '<link rel="stylesheet" href="' + stylesheet + '">' +
            '</head><body>' + $('.table')[0].outerHTML + '</body></html>');
        win.document.close();
        win.print();
        win.close();
        return false;
    });
});
</script>


@Scripts.Render("~/bundles/Home")

